Package com.orchestranetworks.ui

# Class UICSSClasses.TEXT

java.lang.Object
com.orchestranetworks.ui.UICSSClasses.TEXT

Enclosing class:
  UICSSClasses

public static final class UICSSClasses.TEXT extends Object
All the CSS classes used to display standard text styles.

Text must be words or a short sentence. Ideally a sentence in a `<span>` or `<div>`.

Do not use with:

- long text (more than one line)
- complex elements, such as form elements or tables

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ERROR`
  Text style for an error.
  `static final String`
  `FATAL_ERROR`
  Text style for a fatal error.
  `static final String`
  `INFO`
  Text style for an information.
  `static final String`
  `VALUE_ND`
  Style for a text value in the following cases: not defined absent `null` empty unknown inherited
  `static final String`
  `WARNING`
  Text style for a warning.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TEXT()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FATAL_ERROR

    public static final String FATAL_ERROR
    Text style for a fatal error.
    See Also:
      - Constant Field Values

  - ### ERROR

    public static final String ERROR
    Text style for an error.
    See Also:
      - Constant Field Values

  - ### WARNING

    public static final String WARNING
    Text style for a warning.
    See Also:
      - Constant Field Values

  - ### INFO

    public static final String INFO
    Text style for an information.
    See Also:
      - Constant Field Values

  - ### VALUE_ND

    public static final String VALUE_ND
    Style for a text value in the following cases:
    - not defined
    - absent
    - `null`
    - empty
    - unknown
    - inherited
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TEXT

    public TEXT()